<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button icon="chevron-back"></ion-back-button>
        </ion-buttons>
        <ion-title class="ion-no-padding ion-font-lg">Categorias</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>

    <ion-row>
        <ng-container *ngFor="let c of service.data[0]?.categories">
            <ion-col size="12" sizeMd="6">
                <ion-card class="ion-shadow ion-my-1 ion-activatable" style="min-height: 5rem;" (click)="service.onCategory(c)">
                    <ion-thumbnail class="ion-absolute ion-w-100 ion-h-100">
                        <ion-img [src]="c.imgURL"></ion-img>
                    </ion-thumbnail>
                    <div class="backdrop"></div>

                    <ion-card-content>
                        <ion-row class="ion-align-items-center">
                            <ion-col size="9">
                                <ion-card-title color="white">
                                    <h1 class="ion-font-bold">{{ c?.name }}</h1>
                                </ion-card-title>
                            </ion-col>
                            <ion-col size="3" class="ion-ml-auto">
                                <ion-chip color="white" outline>
                                    <ion-icon [src]="c.thumbnail" class="ion-m-0 ion-font-xl"></ion-icon>
                                </ion-chip>
                            </ion-col>
                        </ion-row>
                    </ion-card-content>

                    <ion-ripple-effect></ion-ripple-effect>
                </ion-card>
            </ion-col>
        </ng-container>
    </ion-row>

</ion-content>